My Oracle Support Banner

Error "401 Authorization Required" While Connecting Fabric SDK Client to Oracle Blockchain Instance Over grpc Protocol (Doc ID 2512266.1)

Last updated on NOVEMBER 16, 2020

Applies to:

Blockchain Platform Cloud Service - Version N/A to N/A
Information in this document applies to any platform.

Symptoms

Getting error "401 Authorization Required" while connecting Fabric SDK using grpc.
Below steps followed

1) Using sample 'sample balance-transfer' from git.
https://github.com/hyperledger/fabric-samples

2) Customed "sample balance-transfer" for oracle blockchain platform cloud service.
https://docs.oracle.com/cd/E83857_01/paas/blockchain-cloud/user/use-hyperledger-fabric-sdks-develop-applications.html

3) Reset the network (See network-config.yaml)

4) Reset role

After following above steps getting below error

Result of script:

 

Changes

 

Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Symptoms
Changes
Cause
Solution
References


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.